API REFERENCE

API: billing

Canonical routes for billing (from ApiRoutes).

Routes

MethodPathAuth / notes
GET/tenants/{tenantId}/billing/plansBearer Cognito access token (billingPlans)
POST/tenants/{tenantId}/billing/pricingBearer Cognito access token (billingPricing)
GET/tenants/{tenantId}/billingBearer Cognito access token (billingCurrent)
POST/tenants/{tenantId}/checkoutBearer Cognito access token (tenantCheckout)
POST/tenants/{tenantId}/billing/checkoutBearer Cognito access token (billingCheckout)
PATCH/tenants/{tenantId}/billing/featuresBearer Cognito access token (billingUpdateFeatures)
POST/tenants/{tenantId}/billing/features/{featureId}/cancelBearer Cognito access token (billingCancelFeature)
GET/tenants/{tenantId}/billing/invoicesBearer Cognito access token (billingInvoices)

Example

GET https://api.startupcore.com/tenants/{tenantId}/billing/plans

Errors

401 UNAUTHORIZED, 403 FORBIDDEN, 403 FEATURE_NOT_ENTITLED, 404 NOT_FOUND, 400 VALIDATION_ERROR.